<?php

/*
 * utils.inc - some helpfull functions
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 */

function formatSize($size)
{
  return number_format($size, 0, ",", ".");
}

function formatSeconds($secs)
{
  // Convert the seconds to M:SS format
  $s=$secs % 60;
  $m=($secs - $s)/60;

  $s1=$s%10;
  $s10=($s-$s1)/10;

  return "$m:$s10$s1";
}

function decodeFlags($flags)
{
  $fa=array();

  if(($flags&0x0003)!=0)
    $fa[]="LAYER".($flags&0x0003);

  if(($flags&0x000C)==0x000C)
    $fa[]="JOINT STEREO";
  else if(($flags&0x0004)!=0)
    $fa[]="STEREO";

  if(($flags&0x0010)!=0)
    $fa[]="VBR";

  if(($flags&0x1000)!=0)
    $fa[]="ID3v2";

  if(($flags&0x2000)!=0)
    $fa[]="APIC";

  return join(", ", $fa);
}

?>

